;################################################################################
;#										#
;# copyright (c) 2011 Joerg Wolfram (joerg@jcwolfram.de)			#
;#										#
;#										#
;# This program is free software; you can redistribute it and/or		#
;# modify it under the terms of the GNU General Public License as 		#
;# published by the Free Software Foundation; either version 3 of		#
;# the License, or (at your option) any later version.				#
;#										#
;# This library is distributed in the hope that it will be useful,		#
;# but WITHOUT ANY WARRANTY; without even the implied warranty of		#
;# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the GNU		#
;# Lesser General Public License for more details.				#
;#										#
;# You should have received a copy of the GNU Lesser General Public		#
;# License along with this library; if not, write to the			#
;# Free Software Foundation, Inc., 59 Temple Place - Suite 330,			#
;# Boston, MA 02111-1307, USA.							#
;#										#
;################################################################################

;MCU type
; 6440		ATMega644
; 6441		ATMega644P
; 1284		ATMega1284P

.set	MCU = 6441

.include	"/usr/local/include/avr/m644Pdef.inc"

;MEMORY map
;100		1K
;175		1,75K
;200		2K     (not for ATMega328P)
;375		3,75K  (not for ATMega328P)
;1575		15,75K (only ATMega1284)

.set	MMAP = 375

